Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Merge branch '1.x'

Conflicts:
	grails-plugins/neo4j/application.properties
  • Loading branch information...
commit 7cafebcfb188a55d2ef527390420df3b80d82d85 2 parents 1058b90 + ba11aed
@sarmbruster sarmbruster authored
View
11 grails-datastore-gorm-neo4j/build.gradle
@@ -1,9 +1,8 @@
-version = "1.0.0.BUILD-SNAPSHOT"
-//version = "1.0.0.M16"
+//version = "1.0.0.BUILD-SNAPSHOT"
+version = "1.0.0.RC1"
-ext.neo4jVersion = "1.8"
-ext.gdmVersion = "1.1.1.RELEASE"
-ext.gdmTestVersion = "1.1.0.RELEASE"
+ext.neo4jVersion = "1.8.2"
+ext.gdmVersion = "1.1.6.RELEASE"
repositories {
//mavenLocal()
@@ -11,7 +10,7 @@ repositories {
// some artifacts used are not available on mavenCentral
maven { url "http://m2.neo4j.org/content/repositories/releases/" }
- maven { url "http://m2.neo4j.org/content/repositories/snapshots/" }
+// maven { url "http://m2.neo4j.org/content/repositories/snapshots/" }
// maven { url "http://repo.grails.org/grails/core" }
}
View
2  grails-datastore-gorm-neo4j/src/main/groovy/org/grails/datastore/gorm/neo4j/Neo4jSession.groovy
@@ -114,7 +114,7 @@ class Neo4jSession extends AbstractAttributeStoringSession implements PropertyCh
@Override
Transaction beginTransaction() {
- if (!transaction) {
+ if ((!transaction) || (!transaction.active)) {
transaction = new Neo4jTransaction(nativeInterface)
}
transaction
View
6 grails-datastore-gorm-neo4j/src/main/groovy/org/grails/datastore/gorm/neo4j/Neo4jTransaction.groovy
@@ -45,8 +45,7 @@ class Neo4jTransaction implements Transaction {
}
nativeTransaction.success()
nativeTransaction.finish()
- //nativeTransaction = graphDatabaseService.beginTx()
-// active = false
+ active = false
}
void rollback() {
@@ -55,8 +54,7 @@ class Neo4jTransaction implements Transaction {
}
nativeTransaction.failure()
nativeTransaction.finish()
- //nativeTransaction = graphDatabaseService.beginTx()
-// active = false
+ active = false
}
Object getNativeTransaction() {
View
17 grails-plugins/neo4j/Neo4jGrailsPlugin.groovy
@@ -20,11 +20,9 @@ class Neo4jGrailsPlugin {
def issueManagement = [ system: "JIRA", url: "https://github.com/SpringSource/grails-data-mapping/issues" ]
def scm = [ url: "https://github.com/sarmbruster/grails-data-mapping" ]
- //def version = "1.0.0.M6"
- def version = "1.0.0.SNAPSHOT"
+ def version = "1.0.0.RC1"
+ //def version = "1.0.0.SNAPSHOT"
def grailsVersion = "1.2 > *"
- //def observe = ['services']
- //def loadAfter = ['domainClass', 'hibernate', 'services', 'cloudFoundry']
def loadAfter = ['domainClass', 'hibernate', 'services', 'cloudFoundry', 'converters']
def observe = ['services', 'domainClass']
@@ -56,11 +54,6 @@ class Neo4jGrailsPlugin {
setupGetOrSet()
-// NodeProxy.metaClass.propertyMissing = getOrSet
-// RelationshipProxy.metaClass.propertyMissing = getOrSet
- //RestNode.metaClass.propertyMissing = getOrSet
- //Relationship.metaClass.propertyMissing = getOrSet
-
setupJsonMarshallers(ctx)
}
@@ -74,7 +67,7 @@ class Neo4jGrailsPlugin {
})
- JSON.registerObjectMarshaller(NodeProxy, 1000) { n ->
+ JSON.registerObjectMarshaller(NodeProxy) { n ->
def m = [:]
m.id = n.id
n.propertyKeys.each { k ->
@@ -84,7 +77,7 @@ class Neo4jGrailsPlugin {
m
}
- JSON.registerObjectMarshaller(RelationshipProxy.class) { r ->
+ JSON.registerObjectMarshaller(RelationshipProxy) { r ->
def m = [:]
m.id = r.id
m.type = r.type.name()
@@ -132,4 +125,4 @@ class Neo4jGrailsPlugin {
}
}
-}
+}
View
2  grails-plugins/neo4j/application.properties
@@ -1,4 +1,4 @@
#Grails Metadata file
-#Sat Mar 02 23:29:32 CET 2013
+#Tue Oct 23 23:32:27 PDT 2012
app.grails.version=2.1.4
app.name=neo4j
View
19 grails-plugins/neo4j/grails-app/conf/BuildConfig.groovy
@@ -10,13 +10,15 @@ grails.project.dependency.resolution = {
log "warn"
repositories {
+ inherits true
+
grailsPlugins()
grailsHome()
mavenLocal() // for picking up self-built snapshots before fetching from grailsCentral
grailsCentral()
-
mavenCentral()
- mavenRepo 'http://m2.neo4j.org/releases'
+
+ //mavenRepo 'http://m2.neo4j.org/releases'
mavenRepo "http://repo.grails.org/grails/repo"
}
@@ -33,9 +35,10 @@ grails.project.dependency.resolution = {
transitive = false
}
- def datastoreVersion = "1.1.4.BUILD-SNAPSHOT"
- def neo4jDatastoreVersion = "1.0.0.BUILD-SNAPSHOT"
- //def neo4jDatastoreVersion = "1.0.0.M15"
+ //def datastoreVersion = "1.1.4.BUILD-SNAPSHOT"
+ def datastoreVersion = "1.1.6.RELEASE"
+ //def neo4jDatastoreVersion = "1.0.0.BUILD-SNAPSHOT"
+ def neo4jDatastoreVersion = "1.0.0.RC1"
compile("org.grails:grails-datastore-gorm-neo4j:$neo4jDatastoreVersion",
"org.grails:grails-datastore-gorm-plugin-support:$datastoreVersion",
@@ -46,7 +49,7 @@ grails.project.dependency.resolution = {
test("org.grails:grails-datastore-gorm-test:$datastoreVersion",
"org.grails:grails-datastore-simple:$datastoreVersion", exlcudes)
- compile('org.neo4j:neo4j-community:1.8')
+ compile('org.neo4j:neo4j-community:1.8.2')
}
plugins {
@@ -59,11 +62,11 @@ grails.project.dependency.resolution = {
runtime ":tomcat:$grailsVersion", {
export = false
}
- build ":release:2.0.4", {
+ build ":release:2.2.1", {
export = false
}
//runtime ":svn:1.0.2"
- test ":spock:0.6", {
+ test ":spock:0.7", {
export = false
}
}
Please sign in to comment.
Something went wrong with that request. Please try again.